setwd("/Users/mats_p/ep_sim/results_2")
plot_data <- read.table("master_freq.txt")
pdf(file = "fix_plot.pdf")
fix_rate = signif(sum(plot_data[dim(plot_data)[1],])/dim(plot_data)[2], digits = 2)
plot(ylim=c(0,1), xlim = c(0,dim(plot_data)[1]), x=1, y=1, type ="n", xlab = "Generations", ylab = "Freqency", main = paste("Final frequency:", fix_rate))
color_set <- c("black", "red", "blue", "green", "grey", "salmon")
for (i in 1:dim(plot_data)[2]){
	lines(plot_data[,i], col = color_set[i%%length(color_set)])
}
plot_data <- read.table("allele_freq.txt")
for (i in 1:dim(plot_data)[2]){
	lines(plot_data[,i], col = rgb(t(col2rgb(color_set[i%%length(color_set)])), alpha = 50, max = 255))
}
dev.off()
